View Issue Details

IDProjectCategoryView StatusLast Update
0004483SymmetricDSBugpublic2020-10-26 14:02
ReporterJJ_Starrett Assigned ToJJ_Starrett  
Prioritynormal 
Status closedResolutionfixed 
Product Version3.12.2 
Target Version3.12.3Fixed in Version3.12.3 
Summary0004483: Role tables are not filtered for pre-3.9 installations
DescriptionOn pre-3.9 client installations, SYM_CONSOLE_ROLE and SYM_CONSOLE_ROLE_PRIVILEGE are not filtered out when the client tries to register with a 3.12 server or when a role change happens on the server.
Steps To ReproduceHave 3.8.X client register with 3.12.X server with a user with a custom role -> warning when registering and error when changing that role after registration
Tagsregistration

Relationships

related to 0004577 resolvedjosh-a-hicks Restrict pro tables from syncing to invalid versions and open source deployments 

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.12 9476107a

2020-07-20 16:41:24

JJ_Starrett

Details Diff
0004483: Role tables are not filtered for pre-3.9 installations Affected Issues
0004483
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/ConfigurationChangedDataRouter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File

Issue History

Date Modified Username Field Change
2020-07-20 20:32 JJ_Starrett New Issue
2020-07-20 20:32 JJ_Starrett Status new => assigned
2020-07-20 20:32 JJ_Starrett Assigned To => JJ_Starrett
2020-07-20 20:32 JJ_Starrett Tag Attached: registration
2020-07-20 21:00 JJ_Starrett Changeset attached => SymmetricDS 3.12 9476107a
2020-07-21 16:16 JJ_Starrett Status assigned => resolved
2020-07-21 16:16 JJ_Starrett Resolution open => fixed
2020-07-21 16:16 JJ_Starrett Fixed in Version => 3.12.3
2020-09-01 12:20 elong Status resolved => closed
2020-10-26 14:02 elong Relationship added related to 0004577